# KMap.CellSizeEstimator (ARX API Documentation)

org.deidentifier.arx.criteria

## Enum KMap.CellSizeEstimator

- java.lang.Object
- - java.lang.Enum<KMap.CellSizeEstimator>
  - - org.deidentifier.arx.criteria.KMap.CellSizeEstimator

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<KMap.CellSizeEstimator>
  Enclosing class:
    KMap

      public static enum KMap.CellSizeEstimator
      extends java.lang.Enum<KMap.CellSizeEstimator>

  Estimators for cell sizes in the population.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `POISSON` Poisson distribution
    `ZERO_TRUNCATED_POISSON` Truncate-at-zero Poisson distribution

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static KMap.CellSizeEstimator` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static KMap.CellSizeEstimator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POISSON

          public static final KMap.CellSizeEstimator POISSON

      Poisson distribution

    - #### ZERO_TRUNCATED_POISSON

          public static final KMap.CellSizeEstimator ZERO_TRUNCATED_POISSON

      Truncate-at-zero Poisson distribution

  - ### Method Detail

    - #### values

          public static KMap.CellSizeEstimator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KMap.CellSizeEstimator c : KMap.CellSizeEstimator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KMap.CellSizeEstimator valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<KMap.CellSizeEstimator>`